	.386
	.model	use32 small

	extrn	allerr : proc
	public	_acos
	.data
nm	db	"acos",0

	.code
_acos:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	qword ptr [ecx]
	fld	st(0)
	fmulp	st(1)
	fld1
	fxch 	st(1)
	fsubp	st(1),st(0)
	fsqrt
	fld	qword ptr [ecx]
	fdivp	st(1),st(0)
	fld1
	fpatan
	sub	edx,edx
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end